<div class="menu bg-dark py-2">
	<div class="menu-item-left"></div>
	<div class="menu-item-center">
		<form class="form-row align-items-center" action="search" method="GET">
			<input class="form-control col mr-sm-2" type="search" placeholder="Search" aria-label="Search" name="searched">
			<button class="btn btn-outline-light col-auto my-2 my-sm-0 mr-sm-2" type="submit">Search</button>
			<button class="btn btn-outline-light col-auto my-2 my-sm-0" type="button">Filters</button>
		</form>
	</div>
	<div class="menu-item-right">
		<span *ngIf="this.as.getUser() != undefined">
			<a routerLink=productsAdd class="btn btn-outline-light">
				<span class="fas fa-shopping-basket"></span>
				<span id="panierTotalNb"></span>
			</a>
			<div class="dropdown" style="display:inline-block;">
				<button class="btn btn-outline-light dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
					<span class="fas fa-user mr-1"></span> Bonjour {{this.as.user.prenom}}
				</button>
				<div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
					<a routerLink="product/new" class="btn btn-outline-light dropdown-item">
						<span class="fas fa-plus mr-1"></span>
						<span>Add product</span>
					</a>
					<a routerLink="user/info" class="btn btn-outline-light dropdown-item">
						<span class="fas fa-user mr-1"></span> User infos
					</a> 
					<a routerLink="users" class="btn btn-outline-light dropdown-item">
						<span class="fas fa-users mr-1"></span> Users list
					</a> 
					<a routerLink="user/new" class="btn btn-outline-light dropdown-item">
						<span class="fas fa-user-plus mr-1"></span> Add user
					</a> 
					<a routerLink="user/edit" class="btn btn-outline-light dropdown-item">
						<span class="fas fa-user-edit mr-1"></span> Edit user
					</a> 
					<a routerLink="logout" class="btn btn-outline-light dropdown-item">
						<span class="fas fa-sign-out-alt mr-1"></span> Sign out
					</a>
				</div>
			</div>
		</span>
		<span *ngIf="this.as.getUser() == undefined">
			<a routerLink="client/new" class="btn btn-outline-light">
				<span class="fas fa-user-plus mr-1"></span> Sign up
			</a>
			<a routerLink="login" class="btn btn-outline-light">
				<span class="fas fa-sign-in-alt mr-1"></span> Sign in
			</a>
		</span>
	</div>
</div>